import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../entities/table_entities.dart';
import '../repository/game_repository.dart';

class GetTablesInfoUseCase
    implements UseCase<DataState<TablesInfo>, NoParams> {
  final GameRepository repository;
  GetTablesInfoUseCase(this.repository);

  @override
  Future<DataState<TablesInfo>> call(NoParams params) =>
      repository.getTablesInfo();
}
